Обсуждение:Minecraft Forge

Материал из Minecraft Wiki
Перейти к: навигация, поиск
Это страница обсуждения содержимого статьи. Вопросы, не связанные с оформлением, именованием, структурой или содержанием статьи, следует отправлять на форум.

Туториал[править код]

Могли бы вы написать туториал на майнкрафт вики по Форджу? А т нигде найти не могу.--PleasantMisha 19:43, 13 января 2013 (UTC)

Не совсем понимаю, что такое туториал по Forge, но онлайн-javadoc можно найти здесь: http://jd.minecraftforge.net/. (Я в Forge не понимаю ничего, просто нашёл это по запросу "minecraft forge online javadoc".) --GreenStone(вклад) 20:18, 13 января 2013 (UTC)
Он имел ввиду туториал по моддингу с форджем. Я не понимаю, зачем я давал ссылку В СТАТЬЕ на вики, на которой есть эти туториалы (конечно на английском). --ArtSin 09:37, 15 января 2013 (UTC)

Forge и Optifine[править код]

Пишите здесь или в статье - работает ли Optifine нормально с Forge

Например (моё наблюдение) Optifine_1.5.2_HD_D2 сильно конфликтует с Forge 7.8.0.(любая версия) - игра потребляет слишком много памяти и через час начинает зависать, так же запуск игры занимает на поряджок больше времени

P.S. И неплохо бы сделать статью о Optifine)

По теме - у меня всё нормально работает. Не по теме - НЕ забывайте подписываться. --monocrome 21:15, 16 мая 2013 (UTC)

Как поставить на bukkit?[править код]

В статье этого нет!

https://github.com/keepcalm/BukkitForge/ http://build.technicpack.net/job/BukkitForge/ArtSin 06:22, 26 июня 2013 (UTC)
Установка: http://www.minecraftforum.net/topic/1760652-bukkit-forge-151-update-unoffcial/#entry21875708 Но это всё конечно неофициальное. — ArtSin 06:28, 26 июня 2013 (UTC)

Проблемы с запуском[править код]

Очистил папку .minecraft, запустил лаунчер, скачал версию 1.5.2. Удалил папку META-INF из minecraft.jar и все файлы из minecraftforge-universal-1.5.2-7.8.1.737.zip скопировал туда. Запускаю minecraft, Forge начинает скачивать jar'ы и после скачивания scala-library.jar выдаёт ошибку: Minecraft не может быть запущен в этой конфигурации! Как это можно исправить? maxim4133 09:14, 22 июля 2013 (UTC)

Присоединяюсь, та же проблема! -Некто
Удалите папку config. Alexis (обсуждение). 10:26, 1 сентября 2013 (UTC)
Удалите папки "config" и "lib", скачайте lib отсюда: http://scriptforme.hol.es/lib.rar -Некто
А где находятся папки "config" и "lib"? Если в minecraft.jar то их у меня там нет, где они тогда могут быть?
В в корневой папке игры, т.е. в .minecraft. --Xottab DUTY (обс.) 11:51, 21 сентября 2014 (UTC)

Еще один кряк[править код]

скачал фордж на 1.6.2, версия форджа - 9.10.0.804. сделал все как надо, а игра крашится. Кто может помочь, напишите на моей странице или здесь. lober 12:04, 05 агуста 2013 (UTC)

Русификация[править код]

Что то после обновления 1.6 появились проблемы с русификацией. Как поставить нормальный русский чат на фордж? --Bonmucho 16:11, 14 августа 2013 (UTC)

Ошибка[править код]

Почему появилось You need to run the version 1.6.2 manually at least once?--46.39.230.104 10:20, 1 сентября 2013 (UTC)

  Устанавливать Minecraft Forge следует в папку с уже установленной игрой

Вопрос[править код]

При установки форджа установщиком пишет ошибку: https://dl.dropboxusercontent.com/u/103836877/Forge.png что делать? MC 1.6.2, фордж последний.

Какие-то библиотеки не удалось скачать. Возможно, следует временно отключить фаервол. Если это не поможет или фаервол не установлен, можно попробовать более старую версию Forge (возможна ошибка в алгоритме получения библиотек). --GreenStone (0xСE; 0xС2) 16:59, 9 сентября 2013 (UTC)

Помощь.[править код]

У меня вопрос, куда устанавливать Forge при отстсутствии minecraft.jar? Я пробовал установить последнюю версию (для 1.6.4), но у меня игра не запускалась. При этом ошибки не вылезали. Asassin 1 17:59, 12 октября 2013 (UTC)

С версии 1.6.1 (вроде да) minecraft.jar отсутствует. Теперь этот файл лежит в папке versions > "версия". Сейчас лучше всего устанавливать Forge используя автоматический установщик. Раньше вроде писали как вручную установить, но сейчас не могу найти, убрали наверно. Так что устанавливай через установщик. :) --Xottab DUTY (обсуждение) 18:04, 12 октября 2013 (UTC)
У меня почему-то с Forge для 1.6.4 майнкрафт не запускается. А с Forge для 1.6.2 все нормально. Подскажите, в чем проблема. Asassin 1 19:01, 18 октября 2013 (UTC)
А что-то поподробнее можно? Логи, файл ForgeModLoader-client-0.log.... --Xottab DUTY (обсуждение) 19:10, 18 октября 2013 (UTC)
При этом игра не крашнулась, она не запускалась. Нажимаю кнопку Play и ничего не происходит. Скачивал версию 9.11.1.934, запихивал в папку versions/1.6.4. А с Forge для 1.6.2 (9.10.1.871) игра работает. Asassin 1 11:35, 19 октября 2013 (UTC)
Не с установщика устанавливал что-ли? Устанавливай с него.. --Xottab DUTY (обсуждение) 11:41, 19 октября 2013 (UTC)
Иногда у меня с обычного лайнчера тоже при нажатии на play ничего не происходит, помогает убить процесс и перезапустить. Но я чаще запускаю через magic launcher, с ним проблем нет никогда--MrDenai (обсуждение) 13:02, 19 октября 2013 (UTC)
Я устанавливал с конечно же с установщика. Может какие-то проблемы с самим Forge. Потому-что с 1.6.2 такого не было, скачал нормально и даже установил мод. Решил удалить Forge 1.6.2. Но ничего не изменилось. Asassin 1 (обсуждение) 21:02, 23 октября 2013 (UTC)
Удали из папки с майном файл ForgeModLoader-client-0.log, если он есть. Сделай всё тоже самое что делал. Если не запустится, скинь этот файл (т.е. ForgeModLoader-client-0.log). Я думаю в нём будет полезная инфа о причинах "незапускайки" =) --Xottab DUTY (обсуждение) 06:20, 24 октября 2013 (UTC)

Вот. жмяк. --Asassin 1 (обсуждение) 08:11, 24 октября 2013 (UTC)

Ставили на чистый клиент? --Xottab DUTY (обсуждение) 08:18, 24 октября 2013 (UTC)
Я устанавливал Optifine на версию 1.6.4 отдельно от Forge. Версия предпоследняя. Единственный раз когда я смог нормально установить Фордже - это первый. А заново уже не получалось. Asassin 1 (обсуждение) 12:24, 24 октября 2013 (UTC)
Попробуйте полностью удалить папку versions и libraries --Xottab DUTY (обсуждение) 16:03, 24 октября 2013 (UTC)
О_о, получилось. Полностью удалил содержимое папки versions и Optifine. Игра запустилась, вроде все работает нормально. Asassin 1 (обсуждение) 06:12, 25 октября 2013 (UTC)

1.7.2[править код]

А скоро выйдет версия Minecraft Forge для 1.7.2? ALFminecraft (обсуждение) 12:11, 12 ноября 2013 (UTC)

Если кратко: не раньше декабря. Если более подробно, читайте на форуме Minecraft Forge, на английском языке :)--Xottab DUTY (обсуждение) 12:57, 12 ноября 2013 (UTC)
Спасибо =) ALFminecraft (обсуждение) 15:03, 12 ноября 2013 (UTC)

Об Plugin API и Minecraft Forge 1.7.2[править код]

Уже середина декабря, а новой версии все еще нету. На 1.6.1 Forge вышел уже через месяц после выхода обновления. Кто-нибудь в курсе происходящего? Также интересует Plugin API, ведь он позволит легко создавать и устанавливать моды. Будет ли он работать с Forge или же заменит его. Примерная дата выхода - 1.8 и 1.9. Asassin 1 (talk | 123) 01:45, 13 декабря 2013 (UTC)

В Minecraft было изменено более полумиллиона строк кода. А это значит нужно сначала узнать список изменений и адаптироваться под них. MCP до сих пор не вышел, а значит не сможет выйти и Forge... Насчёт этого я сразу подумал - не раньше нового года. Были сомнения что может выйти раньше, но сейчас их уже нет :) Второй вопрос - если я правильно понял, то Forge не загружает моды, а лишь исправляет конфликты между ними. Моды загружается Forge ModLoader. В одном из логов обновлений я увидел: FML officially deprecated.(FML официально не поддерживается) Значит скорее всего Plugin API будет заменой Forge. --Xottab DUTY (обсуждение) 08:21, 13 декабря 2013 (UTC)
Если я правильно понял, полазив по форуму, то ModLoader больше не существует, на котором сделан Forge. при этом создатели Forge решили всё начать с нуля, при этом перешли на какой-то gradle. Так что Forge не будет очень долго, мой прогноз как минимум до марта. --C уважением, PlatonCrafter. 14:36, 13 декабря 2013 (UTC)
Серьезно? Худшие прогнозы сбылись. Если в ближайшем будущем выйдет Plugin API, то Minecraft Forge больше не будет нужен для загрузки модов. Если это не так, то поправьте меня. Asassin 1 (talk | 123) 14:48, 13 декабря 2013 (UTC)
Minecraft Forge может быть и не будет нужен для загрузки модов, но вот Forge будет нужен для устранения конфликтов между модами. :) Хотя может быть получится так, что и он не будет нужен.. --Xottab DUTY (обсуждение) 16:10, 13 декабря 2013 (UTC)

10.12.0.976[править код]

Поздравляю, господа. Вышла версия 10.12.0.976 для minecraft 1.7.2 ALFminecraft (обсуждение) 08:16, 29 декабря 2013 (UTC)

Об этом было известно еще позавчера. Остается ждать выхода модификаций. Asassin 1 (talk | 123) 10:05, 29 декабря 2013 (UTC)

Вопрос про обновление[править код]

С наступившим! Делал сборку для 1.6.4, как вдруг оказалось, что один из модов требует более новой версии Forge. Как можно обновить его? Netins (обсуждение) 00:25, 1 января 2014 (UTC)

Да вроде не сильно это проблемно... Скачать с их сайта установщик последней версии и установить. Всё. Смайлик (обычный).gif --Xottab DUTY (обсуждение) 10:20, 1 января 2014 (UTC)
Не помогло. Установщик не видит майнкрафта 1.6.4. Netins (обсуждение) 11:24, 1 января 2014 (UTC)
Чтобы установщик видел, нужно чтобы в %appdata%\.minecraft была установлена обычная(ванильная) версия mc 1.6.4 --Xottab DUTY (обсуждение) 11:29, 1 января 2014 (UTC)

Разные версии[править код]

Можно ли сообщить форджу, что часть модов на данной версии он не должен пытаться включить? Просто играю в двух мирах на разных версиях майна с разными модами и из-за этого при переходе с версии на версию приходиться убирать/возвращать моды P.S. У меня лицензия поэтому папка для модов одна и та же :) --Chitaric 19:10, 13 апреля 2014 (UTC)

Можно попробовать. Создайте папку с версией, например "1.6.4", пихаете туда все моды для 1.6.4, в другую с именем "1.7.2" все моды для 1.7.2 соответственно. Вроде это работает... --C уважением, PlatonCrafter. 19:57, 13 апреля 2014 (UTC)
Спасибо - подействовало. --Chitaric 08:49, 16 апреля 2014 (UTC)

1.8[править код]

Когда он выйдет на 1.8? Неужели так долго?--TheMeskon2002X (обс.) 12:30, 9 ноября 2014 (UTC)

На главном сайте уже можно его скачать! –Это неподписанное сообщение было добавлено участником 82.181.81.240 (обс.) в 15:27, 18 ноября 2014 (UTC). Подписывайте свои сообщения с помощью ~~~~.
Не совсем правда — доступен лишь FML, Forge не готов. Но уже можно обновлять моды на 1.8 (инструкция). --Dand0 (обс.) 16:01, 18 ноября 2014 (UTC)